I get a dynamic link library msi.dll error when I attempt to install Windows Essentials

This error may occur due to one of the following reasons:

  1. Your PC doesn't meet the minimum requirements. To find the minimum requirements, go to System Requirements.

  2. You don't have the latest version of Windows Installer installed on your PC.

Here are the steps to resolve this issue

  1. If you have Windows XP SP2, you can upgrade to Windows XP SP3 from the Download Center.

  2. Upgrade to the latest version of Windows Installer:

    You can install the Windows Installer 4.5 version from the Download Center.

    Note

    • Windows Live Installer 4.5 redistributable can be installed on Windows XP Service Pack 2, Windows XP Service Pack 1, Windows Vista Service Pack 1 and Windows Vista.

  3. Restart your PC and try again to download and install the programs you want from Windows Essentials.

Need more help?